﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Hex to Decimal
INSTRUMENT:            Sub Decimal to Binary (ASCII)
DATE:                  2012-08-10 13:29:29
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       144
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        none
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         HEX_TO_DECIMAL               PSUBI("Hex to Decimal")
  1.002  JMPL         DECIMAL_TO_BINARY            PSUBI("Decimal to Binary")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment test number

# =====  Sub Hex to Decimal  ================================================

# Variable Usage:
#
#   @Hex     - Hex value to convert
#   @Decimal - Equivalent decimal digits
#   @Verbose - If defined enables DISP statements to trace conversion

  2.001  LABEL        HEX_TO_DECIMAL
  2.002  MATH         Length = LEN(@Hex)
  2.003  MATH         Neg = ZCMP(SUB(@Hex, 1, 1), "-")

  2.004  IF           Neg
  2.005  MATH         Index = 2
  2.006  ELSE
  2.007  MATH         Index = 1
  2.008  ENDIF

  2.009  MATH         @Decimal = 0

  2.010  DO
  2.011  MATH         HexDigit = SUB(@Hex, Index, 1)

# Determine decimal equivalent of hex digit.
  2.012  IF           ZCMPI(HexDigit, "A")
  2.013  MATH         L[1] = 10
  2.014  ELSEIF       ZCMPI(HexDigit, "B")
  2.015  MATH         L[1] = 11
  2.016  ELSEIF       ZCMPI(HexDigit, "C")
  2.017  MATH         L[1] = 12
  2.018  ELSEIF       ZCMPI(HexDigit, "D")
  2.019  MATH         L[1] = 13
  2.020  ELSEIF       ZCMPI(HexDigit, "E")
  2.021  MATH         L[1] = 14
  2.022  ELSEIF       ZCMPI(HexDigit, "F")
  2.023  MATH         L[1] = 15
  2.024  ELSEIF       IS_NUM(HexDigit)
  2.025  MATH         L[1] = HexDigit
  2.026  ELSE
  2.027  DISP         "[V @Hex]" is not a valid hex number!
  2.028  END
  2.029  ENDIF

# Compute base 10 value of hex digit.
  2.030  MATH         L[2] = L[1] * POW(16, (Length - Index))

  2.031  MATH         @Decimal = @Decimal + L[2]
  2.032  MATH         Index = Index + 1
  2.033  UNTIL        Index > Length

  2.034  IF           Neg
  2.035  MATH         @Decimal = -1 * @Decimal
  2.036  ENDIF

  2.037  IF           ISVAR("@Verbose")
  2.038  HEAD         -2[V @Hex] hex = [V @Decimal] decimal
  2.039  ENDIF

  2.040  END

  2.041  EVAL   Increment test number

# =====  Sub Decimal to Binary (ASCII)  =====================================

# Variable Usage:
#
#   @Decimal     - Decimal value to convert
#   @NumBits     - Number of bits to display
#   @BinaryASCII - Equivalent binary digits
#   @Verbose     - If defined enables DISP statements to trace conversion

  3.001  LABEL        DECIMAL_TO_BINARY
  3.002  MATH         @BinaryASCII = ""; BitNum = 0

  3.003  WHILE        BitNum < @NumBits

  3.004  IF           BIT(BitNum, @Decimal)
  3.005  MATH         Bit = "1"
  3.006  ELSE
  3.007  MATH         Bit = "0"
  3.008  ENDIF

  3.009  MATH         @BinaryASCII = Bit & @BinaryASCII
  3.010  MATH         BitNum = BitNum + 1
  3.011  ENDW

  3.012  IF           ISVAR("@Verbose")
  3.013  HEAD         -2[V @Decimal] decimal = "[V @BinaryASCII]"
  3.014  ENDIF

  3.015  END
