﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Time Domain VER VISA /9500+1Hd
DATE:                  2018-03-14 14:55:03
AUTHOR:                Fluke
REVISION:              $Revision: 9826 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       161
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models covered:
#        DPO4014B, DPO4034B, DPO4054B
#        MSO4014B, MSO4034B, MSO4054B
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        50 Ohm feed through teminator (4 ea)
#
#  The procedure was tested using:
#        None
#
#  Average run time during testing: 40 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.037  CALL         Sub High Voltage Safety Warning

  1.046  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.047  JMPL         END                          @Abort

  1.001  MATH         @MultiHead = 0
  1.002  JMPL         RANDOM_NOISE

  1.003  LABEL        INPUT_IMPEDANCE_CH1
  1.004  MATH         @Chan = 1
  1.005  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.006  JMPL         DCV_GAIN_CH1

  1.007  LABEL        INPUT_IMPEDANCE_CH2
  1.008  MATH         @Chan = 2
  1.009  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.010  JMPL         DCV_GAIN_CH2

  1.011  LABEL        INPUT_IMPEDANCE_CH3
  1.012  MATH         @Chan = 3
  1.013  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.014  JMPL         DCV_GAIN_CH3

  1.015  LABEL        INPUT_IMPEDANCE_CH4
  1.016  MATH         @Chan = 4
  1.017  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.018  JMPL         DCV_GAIN_CH4

  1.019  LABEL        DC_BALANCE
  1.020  MATH         @Chan = 1
  1.021  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.022  MATH         @Chan = 2
  1.023  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.024  MATH         @Chan = 3
  1.025  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.026  MATH         @Chan = 4
  1.027  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.028  JMPL         SAMPLE_RATE

  1.029  LABEL        DCV_GAIN_CH1
  1.030  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.031  JMPL         DC_OFFSET_CH1

  1.032  LABEL        DCV_GAIN_CH2
  1.033  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.034  JMPL         DC_OFFSET_CH2

  1.035  LABEL        DCV_GAIN_CH3
  1.036  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.037  JMPL         DC_OFFSET_CH3

  1.038  LABEL        DCV_GAIN_CH4
  1.039  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.040  JMPL         DC_OFFSET_CH4

  1.041  LABEL        DC_OFFSET_CH1
  1.042  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.043  JMPL         BANDWIDTH_CH1

  1.044  LABEL        DC_OFFSET_CH2
  1.045  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.046  JMPL         BANDWIDTH_CH2

  1.047  LABEL        DC_OFFSET_CH3
  1.048  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.049  JMPL         BANDWIDTH_CH3

  1.050  LABEL        DC_OFFSET_CH4
  1.051  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.052  JMPL         BANDWIDTH_CH4

  1.053  LABEL        SAMPLE_RATE
  1.054  MATH         @Chan = 1
  1.055  CALL         Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /9500
  1.056  JMPL         INPUT_IMPEDANCE_CH1

  1.057  LABEL        BANDWIDTH_CH1
  1.058  CALL         Sub Tek DPO4000B (1 yr) BW VER VISA /9500+S6
  1.059  JMPL         DELTA_TIME_CH1

  1.060  LABEL        BANDWIDTH_CH2
  1.061  CALL         Sub Tek DPO4000B (1 yr) BW VER VISA /9500+S6
  1.062  JMPL         DELTA_TIME_CH2

  1.063  LABEL        BANDWIDTH_CH3
  1.064  CALL         Sub Tek DPO4000B (1 yr) BW VER VISA /9500+S6
  1.065  JMPL         DELTA_TIME_CH3

  1.066  LABEL        BANDWIDTH_CH4
  1.067  CALL         Sub Tek DPO4000B (1 yr) BW VER VISA /9500+S6
  1.068  JMPL         DELTA_TIME_CH4

  1.069  LABEL        RANDOM_NOISE
  1.070  MATH         @Chan = 1
  1.071  CALL         Sub Tek DPO4000B (1 yr) Random Noise VER VISA
  1.072  MATH         @Chan = 2
  1.073  CALL         Sub Tek DPO4000B (1 yr) Random Noise VER VISA
  1.074  MATH         @Chan = 3
  1.075  CALL         Sub Tek DPO4000B (1 yr) Random Noise VER VISA
  1.076  MATH         @Chan = 4
  1.077  CALL         Sub Tek DPO4000B (1 yr) Random Noise VER VISA
  1.078  JMPL         DC_BALANCE

  1.079  LABEL        DELTA_TIME_CH1
  1.080  CALL         Sub Tek DPO4000B (1 yr) Delta Time VER VISA /9500
  1.081  JMPL         INPUT_IMPEDANCE_CH2

  1.082  LABEL        DELTA_TIME_CH2
  1.083  CALL         Sub Tek DPO4000B (1 yr) Delta Time VER VISA /9500
  1.084  JMPL         INPUT_IMPEDANCE_CH3

  1.085  LABEL        DELTA_TIME_CH3
  1.086  CALL         Sub Tek DPO4000B (1 yr) Delta Time VER VISA /9500
  1.087  JMPL         INPUT_IMPEDANCE_CH4

  1.088  LABEL        DELTA_TIME_CH4
  1.089  CALL         Sub Tek DPO4000B (1 yr) Delta Time VER VISA /9500

  1.090  MATH         @Chan = 1
  1.091  CALL         Sub Tek DPO4000B (1 yr) Trigger Output VISA

  1.092  LABEL        END

  1.093  END
