﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek MSO Digital Channel Logic Judge VISA
DATE:                  2013-07-25 08:55:26
AUTHOR:                Fluke
REVISION:              $Revision: 3802 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       76
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        MSO2012, MSO2014, MSO2024
#        MSO3012, MSO3014, MSO2032, MSO3034, MSO3052, MSO3054
#        MSO4032, MSO4034, MSO4054, MSO4104
#        MSO4034B, MSO4054B, MSO4104
#        MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CALÂ® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  VISA         CURV?[I$]
# Hexadecimal string to Decimal number.
  1.002  MATH         Length = LEN(MEM2)
  1.003  MATH         Index = 1; L[1] = 0; FinVal = 0

  1.004  DO
  1.005  MATH         Temp = SUB(MEM2, Index, 1)

  1.006  IF           ZCMPI(Temp, "A")
  1.007  MATH         L[1] = 10
  1.008  ELSEIF       ZCMPI(Temp, "B")
  1.009  MATH         L[1] = 11
  1.010  ELSEIF       ZCMPI(Temp, "C")
  1.011  MATH         L[1] = 12
  1.012  ELSEIF       ZCMPI(Temp, "D")
  1.013  MATH         L[1] = 13
  1.014  ELSEIF       ZCMPI(Temp, "E")
  1.015  MATH         L[1] = 14
  1.016  ELSEIF       ZCMPI(Temp, "F")
  1.017  MATH         L[1] = 15
  1.018  ELSE
  1.019  MATH         L[1] = Temp
  1.020  ENDIF

  1.021  MATH         L[1] = L[1] * POW(16, (Length - Index))
  1.022  MATH         FinVal = FinVal + L[1]
  1.023  MATH         Index = Index + 1

  1.024  UNTIL        Index > Length

# Get the logic status for specific digital channel.
  1.025  MATH         @Logic = BIT(@DChan, FinVal)

  1.026  END
